/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLMetaElement_H___INT_
#define __GdomHTMLMetaElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLMetaElement.h"
G_BEGIN_DECLS
class GDOMHTMLMetaElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_META_ELEMENT; }
    GDOMHTMLMetaElement(PassRefPtr<WebCore::HTMLMetaElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLMetaElement_H___INT_*/
